php composer.phar install

i am trying to download a CRM software i followed the installation instruction

installed php the cloned the software but when i execute php composer.phar install

i get alot of problems. i am new to ubuntu so van anyone just guide me please where is the error and how to solve it

Problem 1
    - Installation request for guzzle/guzzle v3.7.4 -> satisfiable by guzzle/guzzle[v3.7.4].
    - guzzle/guzzle v3.7.4 requires ext-curl * -> the requested PHP extension curl is missing from your system.
  Problem 2
    - Installation request for oro/platform 2.5.0 -> satisfiable by oro/platform[2.5.0].
    - oro/platform 2.5.0 requires ext-gd * -> the requested PHP extension gd is missing from your system.
  Problem 3
    - Installation request for romanpitak/php-rest-client v1.2.1 -> satisfiable by romanpitak/php-rest-client[v1.2.1].
    - romanpitak/php-rest-client v1.2.1 requires ext-curl * -> the requested PHP extension curl is missing from your system.
  Problem 4
    - Installation request for behat/behat v3.2.2 -> satisfiable by behat/behat[v3.2.2].
    - behat/behat v3.2.2 requires ext-mbstring * -> the requested PHP extension mbstring is missing from your system.
  Problem 5

  • Installation request for instaclick/php-webdriver 1.4.5 -> satisfiable by instaclick/php-webdriver[1.4.5].
        - instaclick/php-webdriver 1.4.5 requires ext-curl * -> the requested PHP extension curl is missing from your system.
      Problem 6
        - Installation request for phpunit/phpunit 5.7.25 -> satisfiable by phpunit/phpunit[5.7.25].
        - phpunit/phpunit 5.7.25 requires ext-mbstring * -> the requested PHP extension mbstring is missing from your system.
      Problem 7
        - Installation request for phpunit/phpunit-selenium 3.0.3 -> satisfiable by phpunit/phpunit-selenium[3.0.3].
        - phpunit/phpunit-selenium 3.0.3 requires ext-curl * -> the requested PHP extension curl is missing from your system.
      Problem 8
        - guzzle/guzzle v3.7.4 requires ext-curl * -> the requested PHP extension curl is missing from your system.
        - zfr/zfr-mailchimp v2.0.7 requires guzzle/guzzle ~3.5 -> satisfiable by guzzle/guzzle[v3.7.4].
        - Installation request for zfr/zfr-mailchimp v2.0.7 -> satisfiable by zfr/zfr-mailchimp[v2.0.7].

  To enable extensions, verify that they are enabled in your .ini files:
    - /etc/php/7.0/cli/php.ini
    - /etc/php/7.0/cli/conf.d/10-opcache.ini
    - /etc/php/7.0/cli/conf.d/10-pdo.ini
    - /etc/php/7.0/cli/conf.d/15-xml.ini
    - /etc/php/7.0/cli/conf.d/20-calendar.ini
    - /etc/php/7.0/cli/conf.d/20-ctype.ini
    - /etc/php/7.0/cli/conf.d/20-dom.ini
    - /etc/php/7.0/cli/conf.d/20-exif.ini
    - /etc/php/7.0/cli/conf.d/20-fileinfo.ini
    - /etc/php/7.0/cli/conf.d/20-ftp.ini
    - /etc/php/7.0/cli/conf.d/20-gettext.ini
    - /etc/php/7.0/cli/conf.d/20-iconv.ini
    - /etc/php/7.0/cli/conf.d/20-json.ini
    - /etc/php/7.0/cli/conf.d/20-phar.ini
    - /etc/php/7.0/cli/conf.d/20-posix.ini
    - /etc/php/7.0/cli/conf.d/20-readline.ini
    - /etc/php/7.0/cli/conf.d/20-shmop.ini
    - /etc/php/7.0/cli/conf.d/20-simplexml.ini
    - /etc/php/7.0/cli/conf.d/20-sockets.ini
    - /etc/php/7.0/cli/conf.d/20-sysvmsg.ini
    - /etc/php/7.0/cli/conf.d/20-sysvsem.ini
    - /etc/php/7.0/cli/conf.d/20-sysvshm.ini
    - /etc/php/7.0/cli/conf.d/20-tokenizer.ini
    - /etc/php/7.0/cli/conf.d/20-wddx.ini
    - /etc/php/7.0/cli/conf.d/20-xmlreader.ini
    - /etc/php/7.0/cli/conf.d/20-xmlwriter.ini
    - /etc/php/7.0/cli/conf.d/20-xsl.ini
  You can also run php --ini inside terminal to see which files are used by PHP in CLI mode.

You might want to give more info - for example, what CRM software?